package cn.reghao.tnb.account.api.iface;

import cn.reghao.jutil.jdk.db.PageList;
import cn.reghao.tnb.account.api.dto.AccountInfo;
import cn.reghao.tnb.account.api.dto.AccountRegistry;
import cn.reghao.tnb.account.api.dto.AdminCreateAccount;

/**
 * @author reghao
 * @date 2024-07-31 06:59:54
 */
public interface AdminAccountService {
    AccountRegistry getAccountRegistry();
    void setAccountRegistry(AccountRegistry accountRegistry);
    PageList<AccountInfo> getByScreenName(String screenName, int pageNumber, int pageSize);
    void createAccount(AdminCreateAccount adminCreateAccount);
}
